Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.event.process
Interface ProcessEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AbstractAuditLogger, AsyncAuditLogProducer, CDIBAMProcessEventListener, CDIProcessEventListener, CDIRuleAwareProcessEventListener, org.drools.event.DefaultProcessEventListener, DefaultProcessEventListener, JPAWorkingMemoryDbLogger, RuleAwareProcessEventLister, TaskCleanUpProcessEventListener, org.drools.audit.WorkingMemoryLogger

    public interface ProcessEventListener

extends EventListener

A listener for events related to process instance execution.

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `afterProcessStarted(ProcessStartedEvent event)` This listener method is invoked right after a process instance has been started.
`void` | `afterVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right after the value of a process variable has been changed.
`void` | `beforeNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
`void` | `beforeProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right before a process instance is being completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.
`void` | `beforeVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right before the value of a process variable is being changed.

Method Detail

### beforeProcessStarted

    void beforeProcessStarted(ProcessStartedEvent event)

  This listener method is invoked right before a process instance is being started.

  Parameters:
    `event` -

### afterProcessStarted

    void afterProcessStarted(ProcessStartedEvent event)

  This listener method is invoked right after a process instance has been started.

  Parameters:
    `event` -

### beforeProcessCompleted

    void beforeProcessCompleted(ProcessCompletedEvent event)

  This listener method is invoked right before a process instance is being completed (or aborted).

  Parameters:
    `event` -

### afterProcessCompleted

    void afterProcessCompleted(ProcessCompletedEvent event)

  This listener method is invoked right after a process instance has been completed (or aborted).

  Parameters:
    `event` -

### beforeNodeTriggered

    void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

  This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).

  Parameters:
    `event` -

### afterNodeTriggered

    void afterNodeTriggered(ProcessNodeTriggeredEvent event)

  This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).

  Parameters:
    `event` -

### beforeNodeLeft

    void beforeNodeLeft(ProcessNodeLeftEvent event)

  This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).

  Parameters:
    `event` -

### afterNodeLeft

    void afterNodeLeft(ProcessNodeLeftEvent event)

  This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).

  Parameters:
    `event` -

### beforeVariableChanged

    void beforeVariableChanged(ProcessVariableChangedEvent event)

  This listener method is invoked right before the value of a process variable is being changed.

  Parameters:
    `event` -

### afterVariableChanged

    void afterVariableChanged(ProcessVariableChangedEvent event)

  This listener method is invoked right after the value of a process variable has been changed.

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.